All you need is a device with internet access and one of the modern browsers installed. We currently support Internet Explorer 9+ and recent releases of Firefox and Chrome. You can use other browsers but we can’t guarantee full and error-free functionality.

Posted in: General

Share this: